import nlcpy as vp
vp.fft.ifft([0, 4, 0, 0])
# array([ 1.+0.j,  0.+1.j, -1.+0.j,  0.-1.j])

# Create and plot a band-limited signal with random phases:

import matplotlib.pyplot as plt
t = vp.arange(400)
n = vp.zeros((400,), dtype=complex)
n[40:60] = vp.exp(1j*vp.random.uniform(0, 2*vp.pi, (20,)))
s = vp.fft.ifft(n)
_ = plt.plot(t, s.real, 'b-', t, s.imag, 'r--')
_ = plt.legend(('real', 'imaginary'))
plt.show()
