import nlcpy as vp
a = vp.eye(4)
vp.fft.ifftn(vp.fft.fftn(a, axes=(0,)), axes=(1,))  # doctest: +SKIP
# array([[1.+0.j, 0.+0.j, 0.+0.j, 0.+0.j],     # may vary
# [0.+0.j, 1.+0.j, 0.+0.j, 0.+0.j],
# [0.+0.j, 0.+0.j, 1.+0.j, 0.+0.j],
# [0.+0.j, 0.+0.j, 0.+0.j, 1.+0.j]])

# Create and plot an image with band-limited frequency content:

import matplotlib.pyplot as plt
n = vp.zeros((200,200), dtype=complex)
n[60:80, 20:40] = vp.exp(1j*vp.random.uniform(0, 2*vp.pi, (20, 20)))
im = vp.fft.ifftn(n).real
_ = plt.imshow(im)
plt.show()
