# Draw samples from the distribution:

import nlcpy as vp
mu, beta = 0, 0.1 # location and scale
s = vp.random.gumbel(mu, beta, 1000)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), 30, density=True)
plt.plot(bins, (1/beta)*vp.exp(-(bins - mu)/beta)*
vp.exp( -vp.exp( -(bins - mu) /beta) ),
linewidth=2, color='r') # doctest: +SKIP
plt.show()
