import nlcpy as vp
import numpy as np
a = np.mgrid[:3, :3, :3][0]
vp.fft.fftn(a, axes=(1, 2))
# array([[[ 0.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j]],
# <BLANKLINE>
# [[ 9.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j]],
# <BLANKLINE>
# [[18.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j]]])
vp.fft.fftn(a, (2, 2), axes=(0, 1))
# array([[[ 2.+0.j,  2.+0.j,  2.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j]],
# <BLANKLINE>
# [[-2.+0.j, -2.+0.j, -2.+0.j],
# [ 0.+0.j,  0.+0.j,  0.+0.j]]])

import matplotlib.pyplot as plt
[X, Y] = np.meshgrid(2 * vp.pi * vp.arange(200) / 12,
                     2 * vp.pi * vp.arange(200) / 34)
S = vp.sin(X) + vp.cos(Y) + vp.random.uniform(0, 1, X.shape)
FS = vp.fft.fftn(S)
_ = plt.imshow(vp.log(vp.absolute(vp.fft.fftshift(FS))**2))
plt.show()
