# Draw samples from the distribution:

import nlcpy as vp
rng = vp.random.default_rng()
a = 5. # shape
s = rng.weibull(a, 1000)

import matplotlib.pyplot as plt
x = vp.arange(1,100.)/50.
def weib(x,n,a):
    return (a / n) * (x / n)**(a - 1) * vp.exp(-(x / n)**a)

count, bins, ignored = plt.hist(rng.weibull(5.,1000).get())
scale = count.max()/weib(x, 1., 5.).max()
plt.plot(x, weib(x, 1., 5.)*scale) # doctest: +SKIP
# doctest: +ELLIPSIS
plt.show()
