# Draw samples from the distribution:

import nlcpy as vp
loc, scale = 10, 1
s = vp.random.logistic(loc, scale, 10000)
import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), bins=50)

# Plot against distribution

def logist(x, loc, scale):
    return vp.exp((loc-x)/scale)/(scale*(1+vp.exp((loc-x)/scale))**2)
lgst_val = logist(bins, loc, scale)
plt.plot(bins, lgst_val * count.max() / lgst_val.max()) # doctest: +SKIP
plt.show()
