# Draw samples from the distribution:

import nlcpy as vp
s = vp.random.uniform(-1,0,1000)

# All values are within the given interval:

vp.all(s >= -1)
# array(True)
vp.all(s < 0)
# array(True)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
count, bins, ignored = plt.hist(s.get(), 15, density=True)
plt.plot(bins, vp.ones_like(bins),
linewidth=2, color='r') # doctest: +SKIP
plt.show()
