# Draw samples from the distribution:

import nlcpy as vp
a = 5. # shape
s = vp.random.weibull(a, 1000)

# Display the histogram of the samples, along with the probability
# density function:

import matplotlib.pyplot as plt
x = vp.arange(1,100.)/50.
def weib(x,n,a):
    return (a / n) * (x / n)**(a - 1) * vp.exp(-(x / n)**a)

count, bins, ignored = plt.hist(s.get())
x = vp.arange(1,100.)/50.
scale = count.max()/weib(x, 1., 5.).max()
plt.plot(x, weib(x, 1., 5.)*scale) # doctest: +SKIP
plt.show()
