# Draw samples from the distribution.

import nlcpy as vp
shape, scale = 2., 1. # mean and width
s = vp.random.default_rng().standard_gamma(shape, 1000000)
import matplotlib.pyplot as plt
import scipy.special as sps
count, bins, ignored = plt.hist(s.get(), 50, density=True)
y = bins**(shape-1) * ((vp.exp(-bins/scale))/
(sps.gamma(shape) * scale**shape))
plt.plot(bins, y, linewidth=2, color='r') # doctest: +SKIP
plt.show()
